classification
Title: Use BSD0 license for code in docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bbayles, docs@python, gvanrossum, miss-islington, ned.deily, terry.reedy, toddrjen
Priority: normal Keywords: patch

Created on 2020-03-07 03:50 by toddrjen, last changed 2020-09-14 17:58 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17635 merged toddrjen, 2020-03-07 03:50
PR 22073 merged miss-islington, 2020-09-03 05:22
PR 22074 merged miss-islington, 2020-09-03 05:23
PR 22235 merged ned.deily, 2020-09-14 04:54
PR 22236 merged miss-islington, 2020-09-14 05:18
PR 22237 merged miss-islington, 2020-09-14 05:18
Messages (14)
msg363573 - (view) Author: Todd Jennings (toddrjen) * Date: 2020-03-07 03:50
Currently using code examples and recipes from the documentation is complicated by the fact that they are all under the Python 2.0 license.  Putting them under a more permissive license, particular the BSD0 license, would make them much easier to use in other projects.
msg364139 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-03-14 03:25
What is the complication?  The Python license is already rather permissive.  Anyway, there is a name@mail.python.org address for trademark issues, listed on the site, and it might be appropriate for license legal questions also.  Or this might be a question for discuss.python.org.
msg364276 - (view) Author: Todd Jennings (toddrjen) * Date: 2020-03-16 02:34
Hi Terry,

Please take a look at the linked PR.  This was already discussed on the python-ideas mailing list and Guido agreed this is a good idea.  It is currently waiting on a PSF board decision.  Guido requested I create a blurb, and that required a corresponding issue number, so I created this issue.  

But to answer your question, the problem is incorporating code into an existing project.  The whole point of examples and recipes is that they be used in other projects.  But keeping them under the Python 2.0 license makes this hard, since it requires all the documentation keep that same license.  So you can't use, say, an itertools recipe without keeping a separate license for that code, and some way to identify which code falls under that license.
msg364286 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-03-16 05:12
OK.  I looked at the PR.  Normally, issue comes first, with justification and approval status.
msg376276 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-03 04:14
FWIW the PSF board approved the change.
msg376287 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-03 05:22
New changeset e223d06a8b2067c68e9f97c4628c2b0f056dcae6 by Todd in branch 'master':
bpo-39883: Use BSD0 license for code in docs (GH-17635)
https://github.com/python/cpython/commit/e223d06a8b2067c68e9f97c4628c2b0f056dcae6
msg376305 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-03 14:40
New changeset a5d0232b0d2cbcbdeb0d89ea3d8826241a53a7c7 by Miss Islington (bot) in branch '3.9':
bpo-39883: Use BSD0 license for code in docs (GH-17635) (GH-22073)
https://github.com/python/cpython/commit/a5d0232b0d2cbcbdeb0d89ea3d8826241a53a7c7
msg376306 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-03 14:41
New changeset 9fef7c54a0adfade5ec94259d97f22e05fe9e3e3 by Miss Islington (bot) in branch '3.8':
bpo-39883: Use BSD0 license for code in docs (GH-17635) (GH-22074)
https://github.com/python/cpython/commit/9fef7c54a0adfade5ec94259d97f22e05fe9e3e3
msg376307 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-03 14:42
Todd, you have a PR for the pydotorg repo as well, right? Can you link it here?
msg376423 - (view) Author: Todd Jennings (toddrjen) * Date: 2020-09-05 02:10
The pull request is

https://github.com/python/python-docs-theme/pull/36

It doesn't seem to went let me add it to linked pull requests.
msg376865 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-09-14 05:18
New changeset 7dbbea75cec27a48b68cc07c23f3f317cacf4a16 by Ned Deily in branch 'master':
bpo-39883: Update macOS installer copy of LICENSE. (GH-22235)
https://github.com/python/cpython/commit/7dbbea75cec27a48b68cc07c23f3f317cacf4a16
msg376866 - (view) Author: miss-islington (miss-islington) Date: 2020-09-14 05:38
New changeset 3c618d0a073ea6863d1b4e2616e284308fbc12fc by Miss Islington (bot) in branch '3.8':
bpo-39883: Update macOS installer copy of LICENSE. (GH-22235)
https://github.com/python/cpython/commit/3c618d0a073ea6863d1b4e2616e284308fbc12fc
msg376867 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-09-14 06:00
New changeset bf7d4d039c46232262a0f736f12761b085a6e7a8 by Miss Islington (bot) in branch '3.9':
bpo-39883: Update macOS installer copy of LICENSE. (GH-22235) (GH-22236)
https://github.com/python/cpython/commit/bf7d4d039c46232262a0f736f12761b085a6e7a8
msg376890 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-14 17:58
This looks fully resolved. Thanks again Todd!
History
Date User Action Args
2020-09-14 17:58:40gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg376890

stage: patch review -> resolved
2020-09-14 06:00:01ned.deilysetmessages: + msg376867
2020-09-14 05:38:29miss-islingtonsetmessages: + msg376866
2020-09-14 05:18:37miss-islingtonsetpull_requests: + pull_request21292
2020-09-14 05:18:29miss-islingtonsetpull_requests: + pull_request21291
2020-09-14 05:18:10ned.deilysetmessages: + msg376865
2020-09-14 04:54:13ned.deilysetnosy: + ned.deily
pull_requests: + pull_request21290
2020-09-05 02:10:13toddrjensetmessages: + msg376423
2020-09-03 14:42:52gvanrossumsetmessages: + msg376307
versions: + Python 3.8, Python 3.9, Python 3.10
2020-09-03 14:41:18gvanrossumsetmessages: + msg376306
2020-09-03 14:40:13gvanrossumsetmessages: + msg376305
2020-09-03 05:23:00miss-islingtonsetpull_requests: + pull_request21163
2020-09-03 05:22:53miss-islingtonsetkeywords: + patch
nosy: + miss-islington

pull_requests: + pull_request21162
stage: patch review
2020-09-03 05:22:44gvanrossumsetmessages: + msg376287
2020-09-03 04:14:35gvanrossumsetnosy: + gvanrossum
messages: + msg376276
2020-06-26 20:59:51bbaylessetnosy: + bbayles
2020-03-16 05:12:27terry.reedysetmessages: + msg364286
2020-03-16 02:34:57toddrjensetmessages: + msg364276
2020-03-14 03:25:33terry.reedysetnosy: + terry.reedy
messages: + msg364139
2020-03-07 03:50:57toddrjencreate